## org.apache.mahout.ga.watchmaker
Class STEvolutionEngine<T>

    java.lang.Object
      org.uncommons.watchmaker.framework.AbstractEvolutionEngine<T>
          org.apache.mahout.ga.watchmaker.STEvolutionEngine<T>

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.EvolutionEngine<T>

    public class STEvolutionEngine<T>

extends org.uncommons.watchmaker.framework.AbstractEvolutionEngine<T>

Single Threaded Evolution Engine.

Constructor Summary
`STEvolutionEngine(org.uncommons.watchmaker.framework.CandidateFactory<T> candidateFactory, org.uncommons.watchmaker.framework.EvolutionaryOperator<T> evolutionScheme, org.uncommons.watchmaker.framework.FitnessEvaluator<? super T> fitnessEvaluator, org.uncommons.watchmaker.framework.SelectionStrategy<? super T> selectionStrategy, java.util.Random rng)`

Method Summary
`protected java.util.List<org.uncommons.watchmaker.framework.EvaluatedCandidate<T>>` `evaluatePopulation(java.util.List<T> population)`

Methods inherited from class org.uncommons.watchmaker.framework.AbstractEvolutionEngine
`addEvolutionObserver, evolve, evolve, evolvePopulation, evolvePopulation, getFitnessEvaluator, getSatisfiedTerminationConditions, removeEvolutionObserver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STEvolutionEngine

    public STEvolutionEngine(org.uncommons.watchmaker.framework.CandidateFactory<T> candidateFactory,
                             org.uncommons.watchmaker.framework.EvolutionaryOperator<T> evolutionScheme,
                             org.uncommons.watchmaker.framework.FitnessEvaluator<? super T> fitnessEvaluator,
                             org.uncommons.watchmaker.framework.SelectionStrategy<? super T> selectionStrategy,
                             java.util.Random rng)

Method Detail

### evaluatePopulation

    protected java.util.List<org.uncommons.watchmaker.framework.EvaluatedCandidate<T>> evaluatePopulation(java.util.List<T> population)

  Specified by:
    `evaluatePopulation` in class `org.uncommons.watchmaker.framework.AbstractEvolutionEngine<T>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.